Skip to content
Docs

List OS Images

GET/v1/compute/vms/os_images

List all OS Images

Query ParametersExpand Collapse
cursor: optional string

Pagination cursor returned by a previous request

limit: optional number

Maximum number of items to return

maximum100
minimum10
ReturnsExpand Collapse
items: array of OSImage { created_at, display_name, name }
created_at: string

When the OS Image was created.

formatdate-time
display_name: string

Display name of the OS Image.

name: string

Name of the OS Image.

List OS Images

curl https://api.nirvanalabs.io/v1/compute/vms/os_images \
    -H "Authorization: Bearer $NIRVANA_LABS_API_KEY"
{
  "items": [
    {
      "created_at": "2025-01-01T00:00:00Z",
      "display_name": "Ubuntu 24.04 (Noble)",
      "name": "ubuntu-noble-2026-05-18"
    }
  ],
  "pagination": {
    "next_cursor": "RhwniMT4B74siYZcPF8TnCdGI1l9rpPvg",
    "previous_cursor": "ARhwnmi1hA7wEbHbMjdYQlOB_ZusP4fYvw",
    "total_count": 125
  }
}
Returns Examples
{
  "items": [
    {
      "created_at": "2025-01-01T00:00:00Z",
      "display_name": "Ubuntu 24.04 (Noble)",
      "name": "ubuntu-noble-2026-05-18"
    }
  ],
  "pagination": {
    "next_cursor": "RhwniMT4B74siYZcPF8TnCdGI1l9rpPvg",
    "previous_cursor": "ARhwnmi1hA7wEbHbMjdYQlOB_ZusP4fYvw",
    "total_count": 125
  }
}